Search found 508 matches

Go to advanced search

by Gift
Tue Aug 04, 2020 8:22 pm
Forum: Forum in Deutsch
Topic: Frage zu Fillets (Python)
Replies: 3
Views: 182

Re: Frage zu Fillets (Python)

Aloha, Eine generelle Frage zu der Nummerierung habe ich. Also ich kann den Würfel ja einfach in der GUI laden und mir die Kanten anzeigen lassen. Da steht dann Kante1 - Kante12. Wenn ich Variante zwei benutzte, geht der Index (oder wie man die Zahl in den eckigen Klammern nennt) bei 0 los, das pass...
by Gift
Tue Jul 28, 2020 10:33 am
Forum: Forum in Deutsch
Topic: HILFE!! Ringspalt ausschneiden
Replies: 13
Views: 467

Re: HILFE!! Ringspalt ausschneiden

Entweder wie Jeno es zeigt, musst du in PartDesign für jeden Ring einen eignen Körper (Body) erstellen. Das sind die blauen Symbole im Baum. Oder wie Thschrader in die Part Workbench wechseln. Evt. ist die letzte Variante bzgl. des Vernetzten besser. Ich kann das gerade nicht testen.
by Gift
Mon Jul 27, 2020 6:18 pm
Forum: Forum in Deutsch
Topic: Auffinden von Funktionen in Workbench
Replies: 7
Views: 398

Re: Auffinden von Funktionen in Workbench

Schau mal unter:

https://github.com/FreeCAD/FreeCAD/tre ... athScripts

Dort gibt es u.a. die PathProfileContourGui.py für den Befehl und weitere Dateien dazu.

Gruß
Benjamin
by Gift
Mon Jul 27, 2020 5:13 pm
Forum: Forum in Deutsch
Topic: Auffinden von Funktionen in Workbench
Replies: 7
Views: 398

Re: Auffinden von Funktionen in Workbench

Mit welcher Version spielst du? Der Code sieht im aktuellen Zweig anders aus.
by Gift
Mon Jul 27, 2020 4:48 pm
Forum: Forum in Deutsch
Topic: HILFE!! Ringspalt ausschneiden
Replies: 13
Views: 467

Re: HILFE!! Ringspalt ausschneiden

Ohne davon Ahnung zu haben, denke ich, dass es eine „Treppe“ werden soll. Lose Bauteile gleich defekte Baugruppe. :lol:
by Gift
Mon Jul 27, 2020 1:10 pm
Forum: Forum in Deutsch
Topic: HILFE!! Ringspalt ausschneiden
Replies: 13
Views: 467

Re: HILFE!! Ringspalt ausschneiden

Vermutlich denkst du zu kompliziert. Bitte das hier lesen: https://wiki.freecadweb.org/PartDesign_Revolution/de. Dann wie A skizzieren und anschließend rotieren.
by Gift
Mon Jul 27, 2020 12:50 pm
Forum: Forum in Deutsch
Topic: (auto)Sketch vs. FreeCAD ?
Replies: 7
Views: 409

Re: (auto)Sketch vs. FreeCAD ?

Am einfachsten kannst du DXF-Dateien importieren. Im Draft Arbeitsbereich lassen sich aus den Daten Skizzen erstellen. Der Sketcher wird für dich erstmal sehr ungewohnt sein. Für deine Anforderung sollte dieser aber genau das richtige sein. Vielleicht hast du ein Beispiel zum durchspielen. Die 32-Bi...
by Gift
Mon Jul 27, 2020 12:40 pm
Forum: Forum in Deutsch
Topic: HILFE!! Ringspalt ausschneiden
Replies: 13
Views: 467

Re: HILFE!! Ringspalt ausschneiden

Hallo Anna, laut der Fehlermeldung zerschneidest du den Körper in mehre Teile. Das ist in PartDesign nicht vorgesehen. Wie sieht das in der Realität aus? Entweder du segmentierst deine Kreise, z.B. 4x ..Grad) und bleibst in der Draufsicht, oder erstellst eine Skizze vom Schnitt durch die Rotationsac...
by Gift
Thu Jun 18, 2020 3:41 pm
Forum: Forum in Deutsch
Topic: Achs Kreuz
Replies: 9
Views: 425

Re: Achs Kreuz

Hallo Wilfried, leider klappt das Aufzeichnen der Funktion bei mir nicht es bleibt das Macro leer. habe nun die Version Verwendet auf die Mario verwiesen hat. Aber nur so lernt man Dazu. Dankeschön. Ich habe es auch versucht, sogar ein- und ausgeschaltet, aber es funktioniert nicht: # -*- coding: u...
by Gift
Thu Jun 11, 2020 7:37 pm
Forum: Python scripting and macros
Topic: Extraction of Hole feature properties
Replies: 27
Views: 1181

Re: Extraction of Hole feature properties

Code: Select all

import Part

sel = Gui.Selection.getSelection()[0]
for face in sel.Shape.Faces:
	s = face.Surface
	if isinstance(s,Part.Cylinder):
		FreeCAD.Console.PrintMessage('Pos: ' + str(s.Center))
		FreeCAD.Console.PrintMessage('Axis: ' + str(s.Axis))
		FreeCAD.Console.PrintMessage('Radius: ' + str(s.Radius))

Go to advanced search